Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class CrashReport

    java.lang.Object
      net.minecraft.src.CrashReport

    public class CrashReport

extends Object

Constructor Summary
`CrashReport(String par1Str, Throwable par2Throwable)`

Method Summary
`void` | `addCrashSection(String par1Str, Object par2Obj)` Adds a Crashreport section with the given name with the given value (convered .toString())
`void` | `addCrashSectionCallable(String par1Str, Callable par2Callable)` Adds a Crashreport section with the given name with the value set to the result of the given Callable;
`void` | `addCrashSectionThrowable(String par1Str, Throwable par2Throwable)` Adds a Crashreport section with the given name with the given Throwable
`String` | `getCauseStackTraceOrString()` Gets the stack trace of the Throwable that caused this crash report, or if that fails, the cause .toString().
`String` | `getCompleteReport()` Gets the complete report with headers, stack trace, and different sections as a string.
`Throwable` | `getCrashCause()` Returns the Throwable object that is the cause for the crash and Crash Report.
`String` | `getDescription()` Returns the description of the Crash Report.
`File` | `getFile()`
`String` | `getSections()`
`void` | `getSectionsInStringBuilder(StringBuilder par1StringBuilder)` Gets the various sections of the crash report into the given StringBuilder
`boolean` | `saveToFile(File par1File)` Saves the complete crash report to the given File.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrashReport

    public CrashReport(String par1Str,
                       Throwable par2Throwable)

Method Detail

### addCrashSectionCallable

    public void addCrashSectionCallable(String par1Str,
                                        Callable par2Callable)

  Adds a Crashreport section with the given name with the value set to the result of the given Callable;

### addCrashSection

    public void addCrashSection(String par1Str,
                                Object par2Obj)

  Adds a Crashreport section with the given name with the given value (convered .toString())

### addCrashSectionThrowable

    public void addCrashSectionThrowable(String par1Str,
                                         Throwable par2Throwable)

  Adds a Crashreport section with the given name with the given Throwable

### getDescription

    public String getDescription()

  Returns the description of the Crash Report.

### getCrashCause

    public Throwable getCrashCause()

  Returns the Throwable object that is the cause for the crash and Crash Report.

### getSections

    public String getSections()

### getSectionsInStringBuilder

    public void getSectionsInStringBuilder(StringBuilder par1StringBuilder)

  Gets the various sections of the crash report into the given StringBuilder

### getCauseStackTraceOrString

    public String getCauseStackTraceOrString()

  Gets the stack trace of the Throwable that caused this crash report, or if that fails, the cause .toString().

### getCompleteReport

    public String getCompleteReport()

  Gets the complete report with headers, stack trace, and different sections as a string.

### getFile

    public File getFile()

### saveToFile

    public boolean saveToFile(File par1File)

  Saves the complete crash report to the given File.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD